Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

How do I install glibc on a CentOS server?

I did:

yum install glibc-devel

But it tells me that the version glibc 2.15 is installed.

However i need to have the version 2.17.

share|improve this question
1  
Which CentOS version are you using ? –  Dominik Feb 25 '10 at 11:12

4 Answers 4

up vote 4 down vote accepted

You can find the official glibc versions for CentOS on the CentOS mirror sites.

For example

share|improve this answer

If you are absolutely sure you need it, you have two choices:

  1. use a different distribution that has the version you need (perhaps in a VM on top of your CentOS)
  2. Compile everything manually (I'd install rpm-build and use make rpm, but this might
    a) break dependencies in the system, and
    b) be a pretty complicated task to do, since the new version of glibc will require a lot of other prerequisites)
share|improve this answer

Well, that means that CentOS only has version 2.15 in its repositories. You could try to use yum --enablerepo=updates-testing --enablerepo=testing install glibc-devel but be aware, that an incompatible glibc may lead to problems with installed programs.

share|improve this answer

To install glib on CentOS/RedHat/Fedora:

Login as root user via command prompt/shell

yum install glib*
share|improve this answer
    
This would install a lot of things which aren't necessary or wanted. –  Michael Hampton Jun 12 at 3:00
    
Do it once and never mind about it again. That's what I think. When you are going to build source code, you may need it one time or another, so why not install it all first? then focus on other things rather than lacking of libraries. –  Linh Lino Jun 12 at 3:05
1  
Don't ever go into system administration, then. That's exactly the opposite of best practice, which is to install nothing that isn't necessary. –  Michael Hampton Jun 12 at 3:07
    
don't tell people what they can do ok? so I guess you never install anything rather than your needs? when try to build a source code and it said that you dont have a library which u never seen it in ur life and no idea what it is, wouldn't you try anything the internet says and hope that it will fix your problem? –  Linh Lino Jun 12 at 3:17
1  
@LinhLino You realize that this question is 4 YEARS old, and your solution simply installs all of the current glib packages in the repo rather than the specific version that at the time of the question was bleeding edge. –  Jacob Jun 12 at 3:23

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.